package com.example.agoldenbaum.droidgriddemo;

import android.graphics.Color;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.infragistics.controls.IGCellPath;
import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGGridViewCell;
import com.infragistics.controls.IGGridViewColumnHeaderCell;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;
import com.infragistics.controls.util.GridDataItem1;

import java.util.ArrayList;
import java.util.List;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final IGGridView grid = new IGGridView(this);

        final IGListAdapter adapter = new IGListAdapter(this);
        adapter.setAutoGenerateColumns(false);

        adapter.setDataSource(IGSalesmanItem.GenerateData(200));

        final IGTextColumn column1 = new IGTextColumn("FirstName");
        final IGTextColumn column2 = new IGTextColumn("LastName");
        final IGTextColumn column3 = new IGTextColumn("Territory");

        adapter.addColumnDefinition(column1);
        adapter.addColumnDefinition(column2);
        adapter.addColumnDefinition(column3);

        column1.setBackgroundColor(Color.GRAY);
        column2.setBackgroundColor(Color.RED);
        column3.setBackgroundColor(Color.BLUE);

        grid.setAdapter(adapter);

        Button b = (Button)findViewById(R.id.button1);

        b.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
           /*     List<IGSalesmanItem> data = adapter.getDataSource();
                data.get(2).setFirstName("Some Name");
                IGCellPath path = new IGCellPath(0, 0, 2);
                IGGridViewCell cell = (IGGridViewCell)grid.cellAtPath(path);
                String str = (String)adapter.resolveValue(path);
                cell.getTextView().setText(str);*/

                if(adapter.columnDefinitionCount() == 3) {
                    adapter.removeColumnDefinitionAt(0);
                    adapter.removeColumnDefinitionAt(0);
                }

                grid.updateData();
            }
        });

        LinearLayout layout = (LinearLayout)findViewById(R.id.LinLayout1);

        layout.addView(grid);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
